package com.rms.tfc.entity;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

@Entity
@Table(name = "pedido", schema = "tienda1")
public class Pedido implements java.io.Serializable {
	
	private Long idPedido;
	private String descripcion;
	private Date fechaPedido;
	private String estado;
	private Date fechaExpedicion;
	private Date fechaRecepcion;
	private Long enviadoAlmacen;
	private Long enviadaRecepcion;

	@Id
    @Column(name = "idPedido", unique = true, nullable = false)
	public Long getIdPedido() {
		return idPedido;
	}

	public void setIdPedido(Long idPedido) {
		this.idPedido = idPedido;
	}

	@Column(name = "descripcion", length = 255, nullable = false)
	public String getDescripcion() {
		return descripcion;
	}

	public void setDescripcion(String descripcion) {
		this.descripcion = descripcion;
	}

	@Temporal(TemporalType.TIMESTAMP)
	@Column(name = "fechaPedido", nullable = false)
	public Date getFechaPedido() {
		return fechaPedido;
	}

	public void setFechaPedido(Date fechaPedido) {
		this.fechaPedido = fechaPedido;
	}

	@Column(name = "estado", length = 50, nullable = false)
	public String getEstado() {
		return estado;
	}

	public void setEstado(String estado) {
		this.estado = estado;
	}

	@Temporal(TemporalType.TIMESTAMP)
	@Column(name = "fechaExpedicion")
	public Date getFechaExpedicion() {
		return fechaExpedicion;
	}

	public void setFechaExpedicion(Date fechaExpedicion) {
		this.fechaExpedicion = fechaExpedicion;
	}

	@Temporal(TemporalType.TIMESTAMP)
	@Column(name = "fechaRecepcion")
	public Date getFechaRecepcion() {
		return fechaRecepcion;
	}

	public void setFechaRecepcion(Date fechaRecepcion) {
		this.fechaRecepcion = fechaRecepcion;
	}

	@Column(name = "enviadoAlmacen", nullable = false)
	public Long getEnviadoAlmacen() {
		return enviadoAlmacen;
	}

	public void setEnviadoAlmacen(Long enviadoAlmacen) {
		this.enviadoAlmacen = enviadoAlmacen;
	}

	@Column(name = "enviadaRecepcion")
	public Long getEnviadaRecepcion() {
		return enviadaRecepcion;
	}

	public void setEnviadaRecepcion(Long enviadaRecepcion) {
		this.enviadaRecepcion = enviadaRecepcion;
	}
}